Skip to main content
POST
Create location

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Location name. Must not be greater than 255 characters.

Example:

"Aisle A / Shelf 1"

type
enum<string>
required

Location type.

Available options:
supplier,
view,
internal,
customer,
inventory,
production,
transit
Example:

"internal"

parent_id
integer | null

Parent location ID. The id of an existing record in the inventories_locations table.

Example:

5

description
string | null

Location notes.

Example:

"Reserved for raw materials."

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

storage_category_id
integer | null

Storage category ID. The id of an existing record in the inventories_storage_categories table.

Example:

3

is_scrap
boolean | null

Mark as scrap location.

Example:

false

is_dock
boolean | null

Mark as dock location.

Example:

false

is_replenish
boolean | null

Mark as replenish location.

Example:

false

cyclic_inventory_frequency
integer | null

Cycle counting frequency in days. Must be at least 0.

Example:

30

barcode
string | null

Barcode for the location. Must not be greater than 255 characters.

Example:

"LOC-A1"

Response

Created